The Perfect Server - 10 ISPConfig 3 help

Discussion in 'Server Operation' started by advolente, Apr 2, 2009.

  1. advolente

    advolente New Member

    I'm trying to install amavisd-new and running into some dependency issue. Here is the output to yum install amavisd-new

    I have one by one installed all the rest of the required files using Yum, the remaining ones are the ones giving one problems.

    Code:
    [root@******* yum.repos.d]# yum install amavisd-new
    Loaded plugins: refresh-packagekit
    Setting up Install Process
    Parsing package install arguments
    Resolving Dependencies
    --> Running transaction check
    ---> Package amavisd-new.noarch 0:2.5.2-3.fc10 set to be updated
    --> Processing Dependency: /etc/clamd.d for package: amavisd-new
    --> Running transaction check
    ---> Package clamav-server.x86_64 0:0.94.2-1.fc10 set to be updated
    --> Processing Dependency: clamav-lib = 0.94.2-1.fc10 for package: clamav-server
    --> Processing Dependency: clamav-filesystem = 0.94.2-1.fc10 for package: clamav-server
    --> Processing Dependency: libclamav.so.5(CLAMAV_PRIVATE)(64bit) for package: clamav-server
    --> Processing Dependency: data(clamav) for package: clamav-server
    --> Processing Dependency: init(clamav-server) for package: clamav-server
    --> Processing Dependency: libclamav.so.5(CLAMAV_PUBLIC)(64bit) for package: clamav-server
    --> Processing Dependency: libclamav.so.5()(64bit) for package: clamav-server
    --> Running transaction check
    ---> Package clamav-data.x86_64 0:0.94.2-1.fc10 set to be updated
    ---> Package clamav-filesystem.x86_64 0:0.94.2-1.fc10 set to be updated
    ---> Package clamav-lib.x86_64 0:0.94.2-1.fc10 set to be updated
    ---> Package clamav-server-sysv.x86_64 0:0.94.2-1.fc10 set to be updated
    --> Processing Conflict: clamav-filesystem conflicts clamav > 0.94.2-1.fc10
    --> Finished Dependency Resolution
    clamav-filesystem-0.94.2-1.fc10.x86_64 from updates has depsolving problems
      --> clamav-filesystem conflicts with clamav
    Error: clamav-filesystem conflicts with clamav
    
    Any help would be appreciated!

    Thank you

    Ken
     
  2. bongo

    bongo New Member

    Hey Freund der Nacht,

    sitze auch schon ein weilchen an dem problem.

    Probiers mal damit:

    Clamav Problem



    cd /tmp/

    yum remove clamav*


    DAG REPO INSTALLIEREN !


    nano /etc/yum.repos.d/dag.repo

    [dag]
    name=Dag RPM Repository for Red Hat Enterprise Linux
    baseurl=http://apt.sw.be/redhat/el$releasever/en/$basearch/dag/
    gpgcheck=1
    gpgkey=http://dag.wieers.com/packages/RPM-GPG-KEY.dag.txt
    priority=1
    enabled=1

    yum install clamav clamd clamav-devel.x86_64 amavisd-new clamav-db


    danach
    nano /etc/yum.repos.d/dag.repo ausschalten oder priority=3


    bei mir läufts endlich

    gruss
    bongo
     
  3. bongo

    bongo New Member

    Sorry, i worte in it german, fucking late here:

    this helped me:

    Clamav Problem
    **************

    cd /tmp/

    yum remove clamav*

    install DAG REPO !


    nano /etc/yum.repos.d/dag.repo

    [dag]
    name=Dag RPM Repository for Red Hat Enterprise Linux
    baseurl=http://apt.sw.be/redhat/el$releasever/en/$basearch/dag/
    gpgcheck=1
    gpgkey=http://dag.wieers.com/packages/RPM-GPG-KEY.dag.txt
    priority=1
    enabled=1

    yum install clamav clamd clamav-devel.x86_64 amavisd-new clamav-db


    after that edit /etc/yum.repos.d/dag.repo and disable dag.repo or raise priority=3 if you use yum-priorities
     
  4. advolente

    advolente New Member

    Thank you for the response. I originally did an ISPConfig 2 perfect install but opted to go through and make the changes for ISPconfig which I thought may have been the problem.

    I did try to yum remove clamav* but not sure I did exactly as you did, but regardless it didn't work so I just wiped and am going through doing the perfect install for ispconfig 3. If I have the same problem you post may well come in handy!

    Thank you again.

    Ken
     

Share This Page